/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mycompany.ws;

import com.mycompany.ejbentitee.TotoFacadeLocal;
import com.mycompany.entitee.Toto;
import java.util.List;
import javax.ejb.EJB;
import javax.jws.Oneway;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.ejb.Stateless;

/**
 *
 * @author olivier
 */
@WebService()
@Stateless()
public class NewWebService {
    @EJB
    private TotoFacadeLocal ejbRef;// Add business logic below. (Right-click in editor and choose
    // "Web Service > Add Operation"

    @WebMethod(operationName = "create")
    @Oneway
    public void create(@WebParam(name = "toto")
    Toto toto) {
        ejbRef.create(toto);
    }

    @WebMethod(operationName = "edit")
    @Oneway
    public void edit(@WebParam(name = "toto")
    Toto toto) {
        ejbRef.edit(toto);
    }

    @WebMethod(operationName = "remove")
    @Oneway
    public void remove(@WebParam(name = "toto")
    Toto toto) {
        ejbRef.remove(toto);
    }

    @WebMethod(operationName = "find")
    public Toto find(@WebParam(name = "id")
    Object id) {
        return ejbRef.find(id);
    }

    @WebMethod(operationName = "findAll")
    public List<Toto> findAll() {
        return ejbRef.findAll();
    }

    @WebMethod(operationName = "findRange")
    public List<Toto> findRange(@WebParam(name = "range")
    int[] range) {
        return ejbRef.findRange(range);
    }

    @WebMethod(operationName = "count")
    public int count() {
        return ejbRef.count();
    }

}
